#pragma once
#include "MyFrame.h"
#include "mof/Texture.h"
#include "BattleData.h"

namespace et{

	class TargetMenu : public MyFrame
	{
		
		mof::SelectionModel* m_pSelector;
		mof::TextureManager* m_pTextureManager;
		et::BattleData* m_pBattleData;

		et::BattleAction m_action;
		int m_position;
	public:
		TargetMenu(mof::TextureManager* pTextureManager , et::BattleData* pBattleData , et::BattleAction& action , int position);
		virtual ~TargetMenu(void);
		virtual void setVisible(bool visible);
		virtual mof::SelectionModel* getSelectionModel(){return m_pSelector;}
		virtual MyFrame* performAction();
	};


};